# Grid Trigger History

`GET` `/v1/gridtrading/trigger_history_list`

Query the paged trigger history of a single grid order — the individual orders the grid has placed each time a trigger fired.

:::warning Uses `grid_order_id`, not `order_id`
This endpoint uses `grid_order_id`, **not** `order_id` like the other grid endpoints. Using `order_id` here will not resolve the grid order.
:::

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `grid_order_id` | string | Yes | Grid order ID, example: `764609681686573056` |
| `page` | integer | No | Page number, starting from `1` |
| `limit` | integer | No | Page size |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/gridtrading/trigger_history_list?grid_order_id=<grid_order_id>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `trigger_orders` | object[] | No | Triggered orders |
| `└ id` | string | Yes | Trigger order ID |
| `└ status` | string | Yes | Order status |
| `└ name` | string | Yes | Security name |
| `└ symbol` | string | Yes | Security symbol, `ticker.region` format |
| `└ price` | string | Yes | Order price |
| `└ quantity` | string | Yes | Order quantity |
| `└ executed_price` | string | Yes | Executed price |
| `└ executed_qty` | string | Yes | Executed quantity |
| `└ submitted_at` | string | Yes | Submission time, RFC3339 format |
| `└ action` | int32 | Yes | Buy/sell direction |
| `└ order_type` | string | Yes | Order type |
| `└ trigger_price` | string | Yes | Price that triggered this order |
| `└ msg` | string | Yes | Additional message |
| `└ currency` | string | Yes | Order currency |
| `└ last_done` | string | Yes | Last traded price at trigger time |
| `└ updated_at` | string | Yes | Last update time, RFC3339 format |
| `└ time_in_force` | int32 | Yes | Time in force. **Enum Value:**, `0` - Day, `1` - GTC, `6` - GTD |
| `└ gtd` | string | Yes | Good-Til-Date, `YYYY-MM-DD` format |
| `└ trigger_at` | string | Yes | Trigger time, RFC3339 format |
| `└ trigger_status` | int32 | Yes | Trigger status |
| `has_more` | boolean | No | Whether more pages are available |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "trigger_orders": [
      {
        "id": "764610000000000001",
        "status": "Filled",
        "name": "TENCENT",
        "symbol": "700.HK",
        "price": "294",
        "quantity": "100",
        "executed_price": "294",
        "executed_qty": "100",
        "submitted_at": "2024-08-12T10:35:00+08:00",
        "action": 1,
        "order_type": "GMO",
        "trigger_price": "294",
        "msg": "",
        "currency": "HKD",
        "last_done": "294",
        "updated_at": "2024-08-12T10:35:05+08:00",
        "time_in_force": 1,
        "gtd": "",
        "trigger_at": "2024-08-12T10:35:00+08:00",
        "trigger_status": 1
      }
    ],
    "has_more": false
  }
}
```
